Subject: Re: bug#45919: [PATCH 0/8] Exporting a manifest and channels from a profile

From: Ludovic Courtès <[email-masked]>
Date: Sat, 30 Jan 2021 22:23:42 +0100

Hi,

zimoun <[email-masked]> skribis:

> Yes, but it needs a lot of re-work and change, IMHO.  And we ends with 3
> files: $GUIX_PROFILE/manifest capturing the states of $GUIX_PROFILE and
> the 2 others deducing an approximation of these states.  Well, IMHO,
> automatically produce this approximation at each «action» on the profile
> adds complexity and I am not convinced it is worth.

Yeah.

Actually, part of the code would be shared anyway, so we could always go
with ‘--export-manifest’ first and think about adding the extra files
later.  (Though I’m still unsure about these extra files, TBH.)

Ludo’.